#!/usr/bin/env node
"use strict";
var SchemaSyncCommand_1 = require("./commands/SchemaSyncCommand");
var SchemaDropCommand_1 = require("./commands/SchemaDropCommand");
var QueryCommand_1 = require("./commands/QueryCommand");
var EntityGenerateCommand_1 = require("./commands/EntityGenerateCommand");
require("yargonaut")
    .style("blue")
    .style("yellow", "required")
    .helpStyle("green")
    .errorsStyle("red");
require("yargs")
    .usage("Usage: $0 <command> [options]")
    .command(new SchemaSyncCommand_1.SchemaSyncCommand())
    .command(new SchemaDropCommand_1.SchemaDropCommand())
    .command(new QueryCommand_1.QueryCommand())
    .command(new EntityGenerateCommand_1.EntityGenerateCommand())
    .demand(1)
    .version(function () { return require("./package.json").version; })
    .alias("v", "version")
    .help("h")
    .alias("h", "help")
    .argv;

//# sourceMappingURL=cli.js.map
